Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.datatype
Class InvalidDatatypeValueException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.apache.xerces.validators.datatype.XMLException
                        |
                        +--weblogic.apache.xerces.validators.datatype.InvalidDatatypeValueException

public class InvalidDatatypeValueException
extends XMLException

InvalidDatatypeValueException is thrown when data value doesn't match it's datatype

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: InvalidDatatypeValueException.java,v 1.4 2000/08/11 02:12:02 jeffreyr Exp $
Author:
  Jeffrey Rodriguez
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`InvalidDatatypeValueException()`
`InvalidDatatypeValueException(java.lang.Exception exception)`
`InvalidDatatypeValueException(java.lang.String msg)`
`InvalidDatatypeValueException(java.lang.String message, java.lang.Exception exception)`

Method Summary
`int` | `getMajorCode()`
`int` | `getMinorCode()`
`void` | `setMajorCode(int code)`
`void` | `setMinorCode(int code)`

Methods inherited from class weblogic.apache.xerces.validators.datatype.XMLException
`getException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDatatypeValueException

    public InvalidDatatypeValueException()

### InvalidDatatypeValueException

    public InvalidDatatypeValueException(java.lang.String msg)

### InvalidDatatypeValueException

    public InvalidDatatypeValueException(java.lang.Exception exception)

### InvalidDatatypeValueException

    public InvalidDatatypeValueException(java.lang.String message,
                                         java.lang.Exception exception)

Method Detail

### getMinorCode

    public int getMinorCode()

### getMajorCode

    public int getMajorCode()

### setMinorCode

    public void setMinorCode(int code)

### setMajorCode

    public void setMajorCode(int code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD